votequorum_info Struct Reference

The votequorum_info struct. More...

`#include <votequorum.h>`

## Data Fields

unsigned int | node_id
unsigned int | node_state
unsigned int | node_votes
unsigned int | node_expected_votes
unsigned int | highest_expected
unsigned int | total_votes
unsigned int | quorum
unsigned int | flags
unsigned int | qdevice_votes
char | qdevice_name [VOTEQUORUM_QDEVICE_MAX_NAME_LEN]

## Detailed Description

The votequorum_info struct.

Definition at line 75 of file include/corosync/votequorum.h.

## Field Documentation

## flags

unsigned int votequorum_info::flags

Definition at line 83 of file include/corosync/votequorum.h.

Referenced by votequorum_getinfo().

## highest_expected

unsigned int votequorum_info::highest_expected

Definition at line 80 of file include/corosync/votequorum.h.

Referenced by votequorum_getinfo().

## node_expected_votes

unsigned int votequorum_info::node_expected_votes

Definition at line 79 of file include/corosync/votequorum.h.

Referenced by votequorum_getinfo().

## node_id

unsigned int votequorum_info::node_id

Definition at line 76 of file include/corosync/votequorum.h.

Referenced by votequorum_getinfo().

## node_state

unsigned int votequorum_info::node_state

Definition at line 77 of file include/corosync/votequorum.h.

Referenced by votequorum_getinfo().

## node_votes

unsigned int votequorum_info::node_votes

Definition at line 78 of file include/corosync/votequorum.h.

Referenced by votequorum_getinfo().

## qdevice_name

char votequorum_info::qdevice_name[VOTEQUORUM_QDEVICE_MAX_NAME_LEN]

Definition at line 85 of file include/corosync/votequorum.h.

Referenced by votequorum_getinfo().

## qdevice_votes

unsigned int votequorum_info::qdevice_votes

Definition at line 84 of file include/corosync/votequorum.h.

Referenced by votequorum_getinfo().

## quorum

unsigned int votequorum_info::quorum

Definition at line 82 of file include/corosync/votequorum.h.

Referenced by votequorum_getinfo().

## total_votes

unsigned int votequorum_info::total_votes

Definition at line 81 of file include/corosync/votequorum.h.

Referenced by votequorum_getinfo().

The documentation for this struct was generated from the following file:

- include/corosync/votequorum.h